# ==========================================================
# Copyright (C) 2005 Z80-OOLONG. (NAKATSUKA, Yukitaka)
# ==========================================================

require "stringio"

############
# a fix and extension code of StringIO class.

class StringIO
	alias __initialize__ initialize

	def initialize(str="", mode="r+", filename=nil, content_type=nil, &block)
		@original_filename = filename; @content_type = content_type
		__initialize__(str, mode, &block)
	end

	attr_reader :original_filename, :content_type
	alias local_path path
end

# ==========================================================
