module VikiWiki
	module Plugins
		class Tbrecv
			LBL["PRMLNK_NAM"] = "固定リンク："
			LBL["PINGURL_NAM"] = "トラックバック URL："
			def ondesc; <<EODESC; end
このプラグインは、 VikiWiki にトラックバック受信機能をつけるためのプラグインです。

このプラグインの使用に先立って、あらかじめ vikiwiki.zip に同梱の tool/tb.cgi を 実行権限を適切なものに設定した後、 CGI が実行可能なディレクトリに置く必要があります。

なお、 tool/tb.cgi の以下の部分は vikiwiki.cgi の絶対パスに応じて書き換えてください。

{{{
# load vikiwiki.cgi script.
VIKIWIKI_CGI = "/home/zool/Wiki/cgi-bin/vikiwiki.cgi"
		# ↑ 現在 vikiwiki.cgi が置かれている絶対パスを指定する

load VIKIWIKI_CGI
...
}}}

プラグイン #tbrecv の書式は以下の通りです。
{{{
#tbrecv[#ID] POS FORMAT
}}}
ここで、各引数の意味は以下の通りです。
:ID:
  ページ上に置かれている {{#tbrecv}} に対して unique な id を指定する。{{#tbrecv}} がページ上に１つしか置かれていない場合に限り、省略できます。
:POS:
  プラグイン {{#comment}} で指定するものと同様のものを指定する。
:FORMAT:
  トラックバック ping を受信した時にページ上に出力するフォーマットを指定する。フォーマット中の title, url, blog_name, excerpt, date, time はそれぞれ題名, URL, ブログ名, 内容の要約, 受信日, 受信時刻に置き換えられる。

例えば、以下のように記述すると、
{{{
#tbrecv#id001 front://tb001 "* [url title] -- excerpt (date time)"
//tb001
}}}
トラックバック ping を受信した時に {{//tb001}} の直前にリストで {{* [URL 題名] - 内容の要約 (日付 時刻)}} のように出力されます。

なお、 {{#tbrecv}} の各種設定は vikiwiki.cgi の設定値 "TB_CGI" 及び "TB_CONF" にて行うことができます。

ここで、設定値 "TB_CGI" はトラックバック受信スクリプト tb.cgi が設置されているパスを URI で指定します (デフォルトは /cgi-bin/tb.cgi)。

また、設定値 "TB_CONF" はハッシュ値を取り、各キーの意味は以下の通りです。

:HOSTNAME:
  トラックバック ping URL を表示する際等に使用する @sys.cgi.host の代わりに使用するホスト名を指定する。
:BASEURI:
  トラックバック ping URL を表示する際等に使用する @sys["BASEURI"] の代わりに使用する URI を指定する。
:STATICURI:
  トラックバック ping URL を表示する際等に使用する @sys["STATICURI"] の代わりに使用する URI を指定する。
  以上の設定値はいずれも VikiWiki サーバを CMS として利用している場合等に使います。

EODESC
		end
	end
end
