# ==========================================================
# pre-setup.rb -- preload script of "setup.rb setup".
#
# Copyright (C) 2005 Z80-OOLONG. (NAKATSUKA, Yukitaka)
# ==========================================================

require "fileutils"
require "find"

# ----------------------------------------------------------

rubyprog = get_config("rubyprog")

kcode = case get_config("encoding")
        when /.*euc[-_]?jp$/i;    "e"
        when /.*shift[-_]?jis$/i; "s"
        else;                     "u"
        end

# ----------------------------------------------------------

FileUtils.cp_r("../../vikiwiki", ".")
FileUtils.mv("./config.rb", "./vikiwiki")

if (kcode != "u") then
  Find.find("./vikiwiki") do |f|
    if /.*(\.rb|\.rhtml)$/ =~ f then
      print "convert encoding ... "
      system("#{rubyprog} ../../tool/unkf.rb -U#{kcode} #{f}")
    end
  end
end

# ==========================================================
